html{
	min-height: 100vh;
}
.global_wrapper{
	min-height: 100vh;
	max-height: 1440px;
	width: 100%;
	margin: 0 auto;
	color: #000;
	font-size: 16px;
	background: #FC354C;
	background: -webkit-linear-gradient(to right, #0ABFBC, #FC354C);
	background: linear-gradient(to right, #0ABFBC, #FC354C);
	padding-top: 3em;
}
.todo_wrapper{
	background-color: #fff;
	border: 2px solid #000;
	border-radius: 10px;
	max-width: 700px;
	margin: 0 auto;
	padding: 30px;
	box-shadow: 0px 0px 100px rgba(0,0,0,.75);
	min-height: 500px;
	position: relative;
	padding-bottom: 70px;
	overflow: hidden;
}
.todo_btns{
	position: absolute;
	width: 100%;
	bottom: 0;
	left: 0;
	display: flex;
	justify-content: space-between;
}
button:hover{
	background-color: #000;
	color: #fff;
}
.todo_btns button{
	height: 40px;
	width: 48%;
	font-size: 20px;
	font-weight: 700;
	transition: .4s;
}
.todo_title{
	padding-bottom: 10px;
	border-bottom: 2px solid #000;
}
.todo_title h1{
	font-size: 32px;
}
.todo_body li{
	padding: 20px 20px 20px 40px;
	position: relative;
}
.todo_body li:before{
	position: absolute;
	content: '';
	background-image: url("data:image/svg+xml,%3Csvg version='1.1' id='Capa_1' xmlns='http://www.w3.org/2000/svg' xmlns:xlink='http://www.w3.org/1999/xlink' x='0px' y='0px' width='352.62px' height='352.62px' viewBox='0 0 352.62 352.62' style='enable-background:new 0 0 352.62 352.62;' xml:space='preserve'%3E%3Cg%3E%3Cpath d='M337.222,22.952c-15.912-8.568-33.66,7.956-44.064,17.748c-23.867,23.256-44.063,50.184-66.708,74.664 c-25.092,26.928-48.348,53.856-74.052,80.173c-14.688,14.688-30.6,30.6-40.392,48.96c-22.032-21.421-41.004-44.677-65.484-63.648 c-17.748-13.464-47.124-23.256-46.512,9.18c1.224,42.229,38.556,87.517,66.096,116.28c11.628,12.24,26.928,25.092,44.676,25.704 c21.42,1.224,43.452-24.48,56.304-38.556c22.645-24.48,41.005-52.021,61.812-77.112c26.928-33.048,54.468-65.485,80.784-99.145 C326.206,96.392,378.226,44.983,337.222,22.952z M26.937,187.581c-0.612,0-1.224,0-2.448,0.611 c-2.448-0.611-4.284-1.224-6.732-2.448l0,0C19.593,184.52,22.653,185.132,26.937,187.581z'/%3E%3C/g%3E%3C/svg%3E%0A");
	width: 20px;
	height: 20px;
	top: 50%;
	left: 5px;
	margin-top: -10px;
	background-size: contain;
	background-repeat: no-repeat;
	background-position: center;
}
.add_block{
	display: flex;
	padding: 20px 0;
	position: relative;
}
.add_block span{
	position: absolute;
	color: red;
	top: 50%;
	transform: translate(0,-50%);
	left: 10px;
}
.add_block input{
	width: 80%;
	border: 1px solid #000;
	font-size: 16px;
	padding: 10px;
	border-radius: 5px 0 0 5px;
}
.add_block button{
	width: 20%;
	font-size: 20px;
	font-weight: 700;
	border: none;
	border-radius: 0 5px 5px 0;
	transition: .4s;	
}
.todo_delete{
	border: 1px solid #000;
	padding: 5px 10px;
	border-radius: 7px;
	position: absolute;
	top: 50%;
	right: 0;
	margin-top: -15.5px;
	opacity: 0;
	visibility: hidden;
	transition: .4s;
	cursor: pointer;
}
.todo_delete:hover{
	background-color: #000;
	color: #fff;
}
.todo_body li:hover .todo_delete{
	opacity: 1;
	visibility: visible;
}
.todo_body li.checked{
	opacity: .5;
}
.todo_body li.checked:after{
	position: absolute;
	content: '';
	height: 2px;
	width: 100%;
	background-color: rgba(0,0,0,.25);
	top: 50%;
	margin-top: -1px;
	left: 0;
}